Loading...
Searching...
No Matches
Opm::HybridNewtonConfig Class Reference

Configuration for a Hybrid Newton ML model. More...

`#include <HybridNewtonConfig.hpp>`

## Public Member Functions

| HybridNewtonConfig (const PropertyTree &model_config)
| Construct configuration from a PropertyTree.
bool | hasInputFeature (const std::string &name) const
bool | hasOutputFeature (const std::string &name) const
void | validateConfig (bool compositionSwitchEnabled) const
| Validate feature compatibility with simulator settings.

## Public Attributes

std::string | model_path
std::string | cell_indices_file
std::vector< int > | cell_indices
std::size_t | n_cells = 0
std::vector< double > | apply_times
std::vector< std::pair< std::string, FeatureSpec > > | input_features
std::vector< std::pair< std::string, FeatureSpec > > | output_features

## Detailed Description

Configuration for a Hybrid Newton ML model.

Encapsulates model path, cell indices, apply times, input/output features, and validation. Can be constructed from a PropertyTree.

## Constructor & Destructor Documentation

## HybridNewtonConfig()

Opm::HybridNewtonConfig::HybridNewtonConfig | ( | const PropertyTree & | model_config | ) |

inline explicit

Construct configuration from a PropertyTree.

Loads model path, cell indices, apply times, and features from the provided PropertyTree. Throws on missing or invalid entries.

## Member Function Documentation

## validateConfig()

void Opm::HybridNewtonConfig::validateConfig | ( | bool | compositionSwitchEnabled | ) | const

inline

Validate feature compatibility with simulator settings.

Ensures RS/RV features are only used if composition support is enabled. Throws std::runtime_error otherwise.

The documentation for this class was generated from the following file:

- opm/simulators/flow/HybridNewtonConfig.hpp